HDFLS(1)

NAME
hdfls - list basic information about an HDF file

SYNOPSIS
hdfls [-o] [-l] [-d] [-v] [-g] [-s] [-h] [-t n] hdf_file

DESCRIPTION
hdfls provides general information about the tags, reference numbers, and if requested, lengths of the data elements.

OPTIONS

-o  display the reference numbers in ascending order.

-l  long format. Display more information about the file.

-d  Display offset and length information for each element in the file.

-v  verbose. Display annotation and label text, along with the format triggered by the -l flag.

-g  Group. List items by group.

-s  Special elements. Display detailed information about special elements.

-d  Display offset and length information for each element in the file.

-h  Dump DD block information.

-t n
    Tag. Only list information about the specified tag. Must be followed by a tag number.

EXAMPLES
A file called "aa.hdf" contains three items associated with a raster image; the image dimensions, a palette, and the raster image. To display information about the contents of this file, the following command is used.

hdfls aa.hdf

The following output is displayed:
        aa.hdf:
Image Dimensions-8:                     (Raster-8): (tag 200)
        Ref nos: 1
Image Palette-8:                        (Raster-8): (tag 201)
        Ref nos: 3
Raster Image-8:                 (Raster-8): (tag 202)
        Ref nos: 1
The following displays the same information with the length of each data element:

hdfls -l aa.hdf

This would result in the following information being displayed:
        aa.hdf:
        Image Dimensions-8:             (Raster-8)      : (tag 200)
        Ref no 1                4 bytes
        Image Palette-8:                (Raster-8)      : (tag 201)
        Ref no 3                768 bytes
        Raster Image-8:         (Raster-8)      : (tag 202)
        Ref no 1                120000 bytes

SEE ALSO
hdf(5)